Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.workflow.instance.node
Class EventNodeInstance

    java.lang.Object
      org.jbpm.workflow.instance.impl.NodeInstanceImpl
          org.jbpm.workflow.instance.impl.ExtendedNodeInstanceImpl
              org.jbpm.workflow.instance.node.EventNodeInstance

All Implemented Interfaces:
  Serializable, EventNodeInstanceInterface, NodeInstance

    public class EventNodeInstance

extends ExtendedNodeInstanceImpl
implements EventNodeInstanceInterface

Runtime counterpart of an event node.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.jbpm.workflow.instance.impl.NodeInstanceImpl
`NodeInstanceImpl.NodeInstanceTrigger`

Constructor Summary
`EventNodeInstance()`

Method Summary
`EventNode` | `getEventNode()`
`void` | `internalTrigger(NodeInstance from, String type)`
`void` | `signalEvent(String type, Object event)`
`void` | `triggerCompleted()`

Methods inherited from class org.jbpm.workflow.instance.impl.ExtendedNodeInstanceImpl
`executeAction, getExtendedNode, triggerCompleted, triggerCompleted, triggerEvent`

Methods inherited from class org.jbpm.workflow.instance.impl.NodeInstanceImpl
`cancel, followConnection, getId, getMetaData, getNode, getNodeId, getNodeInstanceContainer, getNodeName, getProcessInstance, getUniqueId, getVariable, isInversionOfControl, resolveContext, resolveContextInstance, setId, setMetaData, setNodeId, setNodeInstanceContainer, setProcessInstance, setVariable, trigger, triggerConnection, triggerNodeInstance`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EventNodeInstance

    public EventNodeInstance()

Method Detail

### signalEvent

    public void signalEvent(String type,
                            Object event)

  Specified by:
    `signalEvent` in interface `EventNodeInstanceInterface`

### internalTrigger

    public void internalTrigger(NodeInstance from,
                                String type)

  Overrides:
    `internalTrigger` in class `ExtendedNodeInstanceImpl`

### getEventNode

    public EventNode getEventNode()

### triggerCompleted

    public void triggerCompleted()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.